Orxonox: orxonox::Scoreboard Class Reference

# orxonox::Scoreboard Class Reference

`#include <src/orxonox/overlays/stats/Scoreboard.h>`

Inheritance diagram for orxonox::Scoreboard:

List of all members.

## Public Member Functions

virtual void | changedVisibility ()
| Called by BaseObject when visibility has changed.
CreateLines * | getCreateLines () const
| Scoreboard (BaseObject *creator)
| Constructor: Creates the scoreboard.
void | setCreateLines (CreateLines *cl)
virtual void | tick (float dt)
| Prints the scoreboard on the screen.
virtual void | XMLPort (Element &xmlElement, XMLPort::Mode mode)
| Initializes the lines.
virtual | ~Scoreboard ()

## Private Member Functions

void | printLines ()

## Private Attributes

unsigned int | columnIndex
std::string | columnText
CreateLines * | createlines_
float | leftOffset
std::vector< CreateLines * > | lines_
float | lineSpacing
unsigned int | numberOfColumns
unsigned int | numberOfLines
float | topOffset

## Constructor & Destructor Documentation

orxonox::Scoreboard::Scoreboard | ( | BaseObject * | creator | ) |

Constructor: Creates the scoreboard.

References RegisterObject.

virtual orxonox::Scoreboard::~Scoreboard | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::Scoreboard::changedVisibility | ( |  | ) | `[virtual]`

Called by BaseObject when visibility has changed.

Reimplemented from orxonox::OrxonoxOverlay.

References orxonox::BaseObject::isVisible(), lines_, and SUPER.

CreateLines* orxonox::Scoreboard::getCreateLines | ( |  | ) | const`[inline]`

void orxonox::Scoreboard::printLines | ( |  | ) | `[private]`

void orxonox::Scoreboard::setCreateLines | ( | CreateLines * | cl | ) | `[inline]`

void orxonox::Scoreboard::tick | ( | float | dt | ) | `[virtual]`

Prints the scoreboard on the screen.

Implements orxonox::Tickable.

References orxonox::BaseObject::getGametype(), orxonox::Gametype::getPlayers(), orxonox::BaseObject::isVisible(), leftOffset, lines_, orxonox::CreateLines::setVisibility(), and topOffset.

void orxonox::Scoreboard::XMLPort | ( | Element & | xmlElement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Initializes the lines.

Reimplemented from orxonox::OrxonoxOverlay.

References SUPER.

## Member Data Documentation

unsigned int orxonox::Scoreboard::columnIndex`[private]`

std::string orxonox::Scoreboard::columnText`[private]`

CreateLines* orxonox::Scoreboard::createlines_`[private]`

float orxonox::Scoreboard::leftOffset`[private]`

Referenced by tick().

std::vector<CreateLines*> orxonox::Scoreboard::lines_`[private]`

Referenced by changedVisibility(), and tick().

float orxonox::Scoreboard::lineSpacing`[private]`

unsigned int orxonox::Scoreboard::numberOfColumns`[private]`

unsigned int orxonox::Scoreboard::numberOfLines`[private]`

float orxonox::Scoreboard::topOffset`[private]`

Referenced by tick().

The documentation for this class was generated from the following files:

- src/orxonox/overlays/stats/Scoreboard.h
- src/orxonox/overlays/stats/Scoreboard.cc